/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Ajuste;
import com.cosmodas.EntCosmos.DetalleAjuste;
import com.cosmodas.EntCosmos.Generales;
import com.cosmodas.EntCosmos.Presult;
import com.cosmodas.EntCosmos.Productosucursal;
import com.cosmodas.EntCosmos.ProductosucursalPK;
import com.cosmodas.EntCosmos.Sucursales;
import com.cosmodas.EntCosmos.VAutoAjuste;
import com.cosmodas.EntCosmos.VDiferencias;
import com.cosmodas.EntCosmos.ZonasVsActual;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface daoAjustesLocal {

    Sucursales getSucurasal(String sucursalCodigo);

    void IngresarAjusteCabecera(Ajuste ajuste);

    Generales getGenerales();

    List<VAutoAjuste> salida(String sucursalCodigo);

    List<VAutoAjuste> entrada(String sucursalCodigo);

    void addDetalleAjuste(DetalleAjuste detalleAjuste);

    Productosucursal Obpro(ProductosucursalPK d);

    void updateSucursal(Productosucursal p);

    List<VDiferencias> getDiferencias(String sucursalCodigo);

    List<Presult> ListPresult();

    List<ZonasVsActual> ListZonasVsActual(String sucursalCodigo);

    Ajuste busquedaAjuste(String ajusteCodigo);
    List<DetalleAjuste> busquedaAjusteDetalles(String ajusteCodigo);
    void EditarDetalleAjuste(DetalleAjuste d);
    void EditarAjuste(Ajuste d);
}
